* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* 所有元素的边框和内边距都设置为0 */
/* 内减边框盒模型 */

a {
    text-decoration: none;
}

/* 去除超链接的下划线 */

ul,
ol {
    list-style: none;
}

/* 去除ul和ol的默认列表符号 */

img {
    vertical-align: middle;
}

/* 图片垂直居中 */

input {
    outline: none;
}

/* 去除input元素的聚焦轮廓将不会显示 */

.clearfix::before,
.clearfix::after {
    content: "";
    display: table;
}

.clearfix::after {
    clear: both;
}

/* 清除浮动 */